org.apache.synapse.transport.passthru.config

## Class ConnectionTimeoutConfiguration

- java.lang.Object
- - org.apache.synapse.transport.passthru.config.ConnectionTimeoutConfiguration

-     public class ConnectionTimeoutConfiguration
      extends java.lang.Object

  This class holds the parameters related to control the connection removal. Scenario: This issue happens when calling salesforce endpoint with keepalive connections. First ESB create the connection with salesforce and send the request and get the response. However if the connection is idle for 1min and ESB used the 1min idle connection to send the next message, salesforce will reset the connection. As a solution to this we decided to introduce a connection eviction mechanism as an improvement. So if a connection is idle for a "connectionIdletime" of time or a connection persisted for more than it's "maximumConnectionLifeSpan" then the connection is removed from the connection pool.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionTimeoutConfiguration(int connectionIdleTime, int maximumConnectionLifeSpan, int connectionGraceTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConnectionGraceTime()`
    `int` | `getConnectionIdleTime()`
    `int` | `getMaximumConnectionLifeSpane()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionTimeoutConfiguration

          public ConnectionTimeoutConfiguration(int connectionIdleTime,
                                                int maximumConnectionLifeSpan,
                                                int connectionGraceTime)

  - ### Method Detail

    - #### getConnectionIdleTime

          public int getConnectionIdleTime()

    - #### getMaximumConnectionLifeSpane

          public int getMaximumConnectionLifeSpane()

    - #### getConnectionGraceTime

          public int getConnectionGraceTime()

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.